Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks.spring
Class PortletApplicationModelImpl

    java.lang.Object
      org.apache.portals.bridges.frameworks.spring.PortletApplicationModelImpl

All Implemented Interfaces:
  PortletApplicationModel

public class PortletApplicationModelImpl
extends Object
implements PortletApplicationModel

PortletApplicationModelImpl

Version:
  $Id: PortletApplicationModelImpl.java 564106 2007-08-09 06:02:51Z woonsan $
Author:
  David Sean Taylor

Field Summary
`private Map` | `actionForwardMap` Map from view:status to view
`private Map` | `externalSupportMap`
`private Map` | `logicalViewMap` Map from logical views to templates
`private Map` | `modelBeanMap`
`private static String` | `PORTLET_ACTION_FORWARD_MAP` map for action forward definitions (success, failure)
`private static String` | `PORTLET_LOGICAL_VIEW_MAP` logical view to template map
`private static String` | `PORTLET_VIEW_BEAN_MAP` Spring configuration: view to bean name map
`private static String` | `PORTLET_VIEW_VALIDATOR_MAP` Spring configuration: view to validator name map
`private static Object` | `semaphore`
`private String` | `springConfig`
`private org.springframework.beans.factory.xml.XmlBeanFactory` | `springFactory` Spring Factory
`private org.apache.commons.validator.ValidatorResources` | `validations` Validation resources
`private String` | `validatorConfig`
`private Map` | `viewBeanMap` View Bean Map
`private Map` | `viewValidatorMap` View Validation Map

Constructor Summary
`PortletApplicationModelImpl(String springConfig, String validatorConfig)`

Method Summary
`Object` | `createBean(ModelBean mb)`
`Map` | `createPrefsBean(ModelBean mb, Map original)`
`String` | `getForward(String view)`
`String` | `getForward(String view, String status)`
`ModelBean` | `getModelBean(String view)`
`String` | `getTemplate(String view)`
`void` | `init(javax.portlet.PortletConfig config)`
`Object` | `lookupBean(ModelBean mb, String key)`
`void` | `setExternalSupport(Map map)`
`Map` | `validate(Object bean, String view, ResourceBundle bundle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_VIEW_BEAN_MAP

    private static final String PORTLET_VIEW_BEAN_MAP

  Spring configuration: view to bean name map

  See Also:
    Constant Field Values

### PORTLET_VIEW_VALIDATOR_MAP

    private static final String PORTLET_VIEW_VALIDATOR_MAP

  Spring configuration: view to validator name map

  See Also:
    Constant Field Values

### PORTLET_LOGICAL_VIEW_MAP

    private static final String PORTLET_LOGICAL_VIEW_MAP

  logical view to template map

  See Also:
    Constant Field Values

### PORTLET_ACTION_FORWARD_MAP

    private static final String PORTLET_ACTION_FORWARD_MAP

  map for action forward definitions (success, failure)

  See Also:
    Constant Field Values

### springFactory

    private org.springframework.beans.factory.xml.XmlBeanFactory springFactory

  Spring Factory

### viewBeanMap

    private Map viewBeanMap

  View Bean Map

### validations

    private org.apache.commons.validator.ValidatorResources validations

  Validation resources

### viewValidatorMap

    private Map viewValidatorMap

  View Validation Map

### logicalViewMap

    private Map logicalViewMap

  Map from logical views to templates

### actionForwardMap

    private Map actionForwardMap

  Map from view:status to view

### modelBeanMap

    private Map modelBeanMap

### externalSupportMap

    private Map externalSupportMap

### semaphore

    private static Object semaphore

### springConfig

    private String springConfig

### validatorConfig

    private String validatorConfig

Constructor Detail

### PortletApplicationModelImpl

    public PortletApplicationModelImpl(String springConfig,
                                       String validatorConfig)

Method Detail

### setExternalSupport

    public void setExternalSupport(Map map)

  Specified by:
    `setExternalSupport` in interface `PortletApplicationModel`

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Specified by:
    `init` in interface `PortletApplicationModel`
  Throws:
    `javax.portlet.PortletException`

### getModelBean

    public ModelBean getModelBean(String view)

  Specified by:
    `getModelBean` in interface `PortletApplicationModel`

### getTemplate

    public String getTemplate(String view)

  Specified by:
    `getTemplate` in interface `PortletApplicationModel`

### lookupBean

    public Object lookupBean(ModelBean mb,
                             String key)

  Specified by:
    `lookupBean` in interface `PortletApplicationModel`

### createBean

    public Object createBean(ModelBean mb)

  Specified by:
    `createBean` in interface `PortletApplicationModel`

### createPrefsBean

    public Map createPrefsBean(ModelBean mb,
                               Map original)

  Specified by:
    `createPrefsBean` in interface `PortletApplicationModel`

### validate

    public Map validate(Object bean,
                        String view,
                        ResourceBundle bundle)
                 throws javax.portlet.PortletException

  Specified by:
    `validate` in interface `PortletApplicationModel`
  Throws:
    `javax.portlet.PortletException`

### getForward

    public String getForward(String view,
                             String status)

  Specified by:
    `getForward` in interface `PortletApplicationModel`

### getForward

    public String getForward(String view)

  Specified by:
    `getForward` in interface `PortletApplicationModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.